
From: Pavel Machek <pavel@suse.cz>

This should fix u32 vs. pm_message_t confusion in AGP.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/agp/via-agp.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/char/agp/via-agp.c~fix-u32-vs-pm_message_t-confusion-in-agp drivers/char/agp/via-agp.c
--- 25/drivers/char/agp/via-agp.c~fix-u32-vs-pm_message_t-confusion-in-agp	2005-02-24 23:16:43.000000000 -0800
+++ 25-akpm/drivers/char/agp/via-agp.c	2005-02-24 23:16:43.000000000 -0800
@@ -450,10 +450,10 @@ static void __devexit agp_via_remove(str
 
 #ifdef CONFIG_PM
 
-static int agp_via_suspend(struct pci_dev *pdev, u32 state)
+static int agp_via_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	pci_save_state (pdev);
-	pci_set_power_state (pdev, 3);
+	pci_set_power_state (pdev, PCI_D3hot);
 
 	return 0;
 }
@@ -462,7 +462,7 @@ static int agp_via_resume(struct pci_dev
 {
 	struct agp_bridge_data *bridge = pci_get_drvdata(pdev);
 
-	pci_set_power_state (pdev, 0);
+	pci_set_power_state (pdev, PCI_D0);
 	pci_restore_state(pdev);
 
 	if (bridge->driver == &via_agp3_driver)
_
